/**************************************************************
  (C) 1997 by Achim Kaiser

  You may distribute under the terms of the GNU General Public
  License as specified in the COPYING file.
**************************************************************/

#include "timer.h"
#include "global.h"
#include "iwc.h"
#include <unistd.h>
#ifdef SUNOS
#include <signal.h>
#else
#include <sys/signal.h>
#endif


void destroy()
{
  XCloseDisplay(GetDisplay());
  exit(0);
}

void updatetimer()
{
  if (GetKindOfWindow()!=STRUCTURE) {
    signal(SIGALRM,updatetimer);
    alarm(GetTimer());
    SendWindow(GetMoveWindow(),UPDATE_LIGHT);
    XFlush(GetDisplay());
  }
}

void repeat()
{
  signal(SIGALRM,repeat);
  alarm(GetTimer());
}

 
void StopAlarm()
{
  alarm(0);
}

void ReactivateAlarm()
{
  signal(SIGALRM,repeat);
  alarm(GetTimer());
}

